Bug 1100504 - GNU make 4.2.1 is broken wrt -jN
GNU make 4.2.1 is broken wrt -jN
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
x86-64 openSUSE Factory
: P5 - None : Major (vote)
: ---
Assigned To: Andreas Schwab
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-07 19:58 UTC by Anony Mous
Modified: 2018-12-11 23:45 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anony Mous 2018-07-07 19:58:49 UTC
GNU make from git repository resolves an issue with a race condition around make's pselect implementation.  Signals are lost, defunct child processes are not reaped in a timely mannter.  The summary is that make -j4 can degrade to -j1 functionally, etc.

Here's the commit that Paul Smith suggests actually fixes the issue:
http://git.savannah.gnu.org/cgit/make.git/commit/?id=b552b05251980f693c729e251f93f5225b400714

Example test data compiling Linux 4.17.2 with Tumbleweed's .config
* make_421 -j8 : 19-20 minutes
* make_421 -j4 : 32-60 minutes
* make_git -j4 : 18 minutes

This bug is a severe performance penalty on Tumbleweed, compared to Ubuntu 18.04
Comment 1 Anony Mous 2018-07-18 00:11:44 UTC
Given the performance implications here while say building lots of software on a large compile farm, I'm surprised there's been no reply to this bug report.
Comment 2 Swamp Workflow Management 2018-07-18 14:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1100504) was mentioned in
https://build.opensuse.org/request/show/623670 Factory / make
Comment 4 Anony Mous 2018-08-02 20:37:50 UTC
Saw that this is fixed in make-4.2.1-6.1 in Tumbleweed 20180731 today.
Comment 5 Swamp Workflow Management 2018-11-28 11:13:23 UTC
SUSE-RU-2018:3931-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1100504
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15 (src):    make-4.2.1-7.3.2
Comment 6 Swamp Workflow Management 2018-11-29 23:11:49 UTC
openSUSE-RU-2018:3949-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1100504
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    make-4.2.1-lp150.6.3.1